%define subrel 1

Summary:	Nessus security scanner
Name:		nessus
Version:	2.2.10
Release:	%mkrel 7
License:	GPL
Group:		System/Servers
URL:		http://www.nessus.org
# http://cgi.tenablesecurity.com/nessus3dl.php?file=nessus-core-2.2.10.tar.gz&licence_accept=yes&t=5a144975306462c6d49d299ba1d6c0b2
Source0:	nessus-core-%{version}.tar.gz
Source5:	nessusd.init.bz2
Source6:	nessusd.users.bz2
Source7:	nessusd.rules.bz2
Source8:	nessusd.conf.bz2
# (mpol) 2.2.3: pem file moved from libnasl:
Source9:	nessus_org.pem.20040721
Source10:       nessus-16.png
Source11:       nessus-32.png
Source12:       nessus-48.png
Patch0:		nessus-core-2.0.6a.mkcert.patch
Patch1:		nessus-core-2.0.9.mkcert-client.patch
Patch2:		nessus-core-2.2.10.sysconfdir_pem.patch
Patch3:		nessus-core-open.patch
Requires:	nmap lynx tar gzip
Requires:	nessus-plugins = %{version}
BuildRequires:	bison
BuildRequires:	flex
BuildRequires:	gtk+2-devel
BuildRequires:	openssl-devel
BuildRequires:	libnasl-devel = %{version}
BuildRequires:	tcp_wrappers-devel
Requires(post): rpm-helper openssl
Requires(preun): rpm-helper openssl
Requires:	tcp_wrappers
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description 
Nessus 2.2 is a free, up-to-date, and full featured remote security
scanner for Linux. It is multithreaded, plugin-based, has a nice GTK
interface, and currently performs 410 remote security checks. It has
powerful reporting capabilities (HTML, LaTeX, ASCII text) and not only
points out problems, but suggests a solution for each of them.

%package	client
Group:		Monitoring
Summary:	Nessus GTK+ client

%description	client
Nessus Gtk+ client.

%package	devel
Group:		Monitoring
Summary:	Development headers for nessus

%description	devel
Development headers for nessus to compile plugins.

%prep
%setup -q -n nessus-core
%patch0 -p1 -b .mkcert
%patch1 -p1 -b .mkcert-client
%patch2 -p1 -b .sysconfdir_pem
%patch3 -p1 -b .open

perl -pi -e 's/^installuser=.*/installuser='`whoami`'/' nessus-core/nessus.tmpl.in

# lib64 fix
perl -pi -e "s|/lib\b|/%{_lib}|g" configure* aclocal.m4

%build
%configure2_5x \
    --datadir=%{_sysconfdir}/nessus \
    --localstatedir=%{_var}/lib \
    --sharedstatedir=%{_sysconfdir} \
    --disable-gtk \
    --enable-pthreads \
    --enable-cipher \
    --enable-tcpwrappers
perl -pi -e 's/-o root / /g; s/-o \$\(installuser\) / /g; y/{}/()/' Makefile
make
cp nessus/nessus nessus-text

make distclean
%configure2_5x \
    --datadir=%{_sysconfdir}/nessus \
    --localstatedir=%{_var}/lib \
    --sharedstatedir=%{_sysconfdir} \
    --enable-pthreads \
    --enable-cipher \
    --enable-tcpwrappers
perl -pi -e 's/-o root / /g; s/-o \$\(installuser\) / /g; y/{}/()/' Makefile
make

%install
if [ -d %{buildroot} ]; then rm -rf %{buildroot}; fi

%makeinstall_std

install -m 755 nessus-text %{buildroot}%{_bindir}

install -d %{buildroot}%{_libdir}/nessus/plugins

mkdir -p %{buildroot}%{_initrddir}
bzip2 -cd %{SOURCE5} > %{buildroot}%{_initrddir}/nessusd
for file in %{SOURCE6} %{SOURCE7} %{SOURCE8} ; do
    bzip2 -cd $file > %{buildroot}%{_sysconfdir}/nessus/$(basename $file .bz2)
done

mkdir -p %{buildroot}{%{_sysconfdir}/nessus/ssl,%{_sysconfdir}/nessus/CA}
mkdir -p %{buildroot}%{_var}/log/nessus

# install nessus.org certificate

cp %{SOURCE9} %{buildroot}%{_sysconfdir}/nessus/nessus_org.pem

# clean-up man files
for i in %{_mandir}/man8/nessusd.8; do
        perl -pi -e 's|'%{buildroot}%{_sysconfdir}/nessusd.conf'|%{_sysconfdir}/nessus/nessusd.conf|g' %{buildroot}/$i
done

# remove unwanted files
rm -rf %{buildroot}%{_libdir}/%{name}/plugins_factory
# conflicts with nessus-libraries-devel
rm -rf %{buildroot}%{_includedir}/%{name}/includes.h

# Add menu entry for client

mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
cat > $RPM_BUILD_ROOT%{_datadir}/applications/mandriva-%{name}.desktop << EOF
[Desktop Entry]
Name=Nessus
Comment=%{summary}
Exec=%{_bindir}/%{name}
Icon=%{name}
Terminal=false
Type=Application
Categories=GTK;X-MandrivaLinux-System-Monitoring;System;Monitor;
Encoding=UTF-8
EOF

# Install icons
mkdir -p %{buildroot}{%{_miconsdir},%{_iconsdir},%{_liconsdir}}
install -m644 %{SOURCE10} %{buildroot}%{_miconsdir}/nessus.png
install -m644 %{SOURCE11} %{buildroot}%{_iconsdir}/nessus.png
install -m644 %{SOURCE12} %{buildroot}%{_liconsdir}/nessus.png

# fix logrotate stuff
install -d %{buildroot}/%{_sysconfdir}/logrotate.d
cat > %{buildroot}/%{_sysconfdir}/logrotate.d/nessus << EOF
/var/log/nessus/nessusd.messages /var/log/nessus/nessusd.dmp {
    rotate 4
    missingok
    nocompress
}
EOF
chmod 644 %{buildroot}%{_sysconfdir}/logrotate.d/nessus

# lib64 fix
perl -pi -e "s|/usr/lib|%{_libdir}|g" %{buildroot}%{_sysconfdir}/nessus/nessusd.conf

%post
# Create a self-signed server key and certificate
NESPUB=%{_sysconfdir}/nessus/ssl
NESPRV=%{_sysconfdir}/nessus/CA
if [ ! -e $NESPUB/cacert.pem -a ! -e $NESPUB/servercert.pem -a ! -e $NESPRV/cakey.pem -a ! -e $NESPRV/serverkey.pem ]; then
  echo "Generating nessud server certificate"
  yes ""| %{_sbindir}/nessus-mkcert >/dev/null 2>/dev/null
fi

# create /var/nessus/nessus-services manually otherwise nessus service can't start
touch /var/nessus/nessus-services

%_post_service nessusd

%preun
%_preun_service nessusd

%if %mdkversion < 200900
%post client 
%update_menus
%endif

%if %mdkversion < 200900
%postun client
%clean_menus
%endif

%clean
if [ -d %{buildroot} ]; then rm -rf %{buildroot}; fi

%files
%defattr(0644,root,root,0755)
%doc CHANGES INSTALL doc/TODO.txt
%dir %{_sysconfdir}/nessus
#%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/nessus/accounts.txt
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/nessus/nessusd.conf
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/nessus/nessusd.rules
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/nessus/nessusd.users
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/logrotate.d/nessus
#%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/nessus/queso.conf
%attr(0700,root,root) %dir %{_sysconfdir}/nessus/CA
%attr(0755,root,root) %dir %{_sysconfdir}/nessus/ssl
%{_sysconfdir}/nessus/nessus_org.pem
%attr(0755,root,root) %{_initrddir}/nessusd
%attr(0755,root,root) %{_sbindir}/nessusd
%attr(0755,root,root) %{_sbindir}/nessus-adduser
%attr(0755,root,root) %{_sbindir}/nessus-check-signature
%attr(0755,root,root) %{_sbindir}/nessus-mkcert
%attr(0755,root,root) %{_sbindir}/nessus-rmuser
%dir %{_libdir}/nessus
%dir %{_libdir}/nessus/plugins
%dir %{_var}/log/nessus
%dir %{_var}/lib/nessus
%dir %{_var}/lib/nessus/users
%attr(0644,root,root) /var/lib/nessus/nessus-services
%{_mandir}/man8/*

%files client
%defattr(0644,root,root,755)
%attr(0755,root,root) %{_bindir}/nessus*
%doc %{_mandir}/man1/*
#%dir %{_libdir}/nessus/reports
%{_datadir}/applications/mandriva-%{name}.desktop
%{_miconsdir}/*png
%{_iconsdir}/*png
%{_liconsdir}/*png

%files devel
%defattr(0644,root,root,755)
%{_includedir}/nessus/*


%changelog
* Mon Jul 26 2010 Ahmad Samir <ahmadsamir@mandriva.org> 2.2.10-7.1mdv2010.1
+ Revision: 560549
- create /var/nessus/nessus-services manually otherwise nessus service can't start,
  (mdv bug#48111)

* Fri Apr 16 2010 Luis Daniel Lucio Quiroz <dlucio@mandriva.org> 2.2.10-7mdv2010.1
+ Revision: 535361
- Rebuild
- Rebuild

  + Funda Wang <fwang@mandriva.org>
    - add fedora patch to make it build
    - rediff sysconf patch

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild
    - rebuild

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Fri Jan 11 2008 Thierry Vignaud <tv@mandriva.org> 2.2.10-2mdv2008.1
+ Revision: 148287
- drop old menu
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Fri Sep 07 2007 Oden Eriksson <oeriksson@mandriva.com> 2.2.10-2mdv2008.0
+ Revision: 81839
- bump release
- build it against gtk+2-devel instead
- try to fix build
- Import nessus



* Fri Sep 07 2007 Oden Eriksson <oeriksson@mandriva.com> 2.2.10-1mdv2008.0
- 2.2.10

* Sun Aug 13 2006 Emmanuel Andry <eandry@mandriva.org> 2.2.8-1mdv2007.0
- 2.2.8
- xdg menu

* Thu Mar 30 2006 Stew Benedict <sbenedict@mandriva.com> 2.2.7-3mdk
- rebuild, nessus-devel disappeared into the ether

* Thu Mar 09 2006 Oden Eriksson <oeriksson@mandriva.com> 2.2.7-2mdk
- disable libtoolize
- fix logrotate

* Thu Mar 09 2006 Oden Eriksson <oeriksson@mandriva.com> 2.2.7-1mdk
- 2.2.7
- enable tcp_wrappers support
- fix CFLAGS
- added logrotate stuff
- lib64 fixes

* Fri Jan 13 2006 Marcel Pol <mpol@mandriva.org> 2.2.6-1mdk
- 2.2.6

* Thu May 05 2005 Marcel Pol <mpol@mandriva.org> 2.2.4-1mdk
- 2.2.4
- rediff P2

* Thu Apr 21 2005 Marcel Pol <mpol@mandrake.org> 2.2.3-4mdk
- really fix location of pem file

* Mon Mar 07 2005 Marcel Pol <mpol@mandrake.org> 2.2.3-3mdk
- fix location of pem file

* Mon Mar 07 2005 Marcel Pol <mpol@mandrake.org> 2.2.3-2mdk
- add nessus_org.pem from libnasl package

* Fri Feb 11 2005 Lenny Cartier <lenny@mandrakesoft.com> 2.2.3-1mdk
- 2.2.3

* Fri Jan  7 2005 Stefan van der Eijk <stefan@mandrake.org> 2.2.2a-1mdk
- New release 2.2.2a

* Wed Aug 18 2004 Michael Scherer <misc@mandrake.org> 2.0.12-1mdk 
- 2.0.12
- rpmbuildupdate aware

* Sat Feb 21 2004 Giuseppe Ghib <ghibo@mandrakesoft.com> 2.0.10a-1mdk
- Release: 2.0.10a.
- Added nessus text version only too.

* Sun Jan 11 2004 Marcel Pol <mpol@mandrake.org> 2.0.9-3mdk
- revert last change, NESSUSD_CONFDIR is already set correct (#6800)
- perl substitutes for configure and %%post not needed anymore
- no need to link against %%{buildroot} anymore
- add users dir
- prerequires openssl
- update patch0: seperate certificates (ssl dir) from keys (CA dir)
- patch1: also patch clientscript
- no need for manual doc install
- use %%makeinstall_std

* Sun Jan 04 2004 Marcel Pol <mpol@mandrake.org> 2.0.9-2mdk
- sysconfdir=%%_sysconfdir/nessus

* Thu Nov 06 2003 Lenny Cartier <lenny@mandrakesoft.com> 2.0.9-1mdk
- 2.0.9

* Fri Sep 12 2003 Marcel Pol <mpol@gmx.net> 2.0.7-2mdk
- add /var/log/nessus dir (from stefan@eijk.nu

* Wed Jul 23 2003 Marcel Pol <mpol@gmx.net> 2.0.7-1mdk
- 2.0.7
- this package only contains nessus-core now
- rediff patch0
- bunzip icons

* Wed Dec 18 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.2.7-1mdk
- 1.2.7

* Tue Oct  8 2002 Stefan van der Eijk <stefan@eijk.nu> 1.2.6-1mdk
- 1.2.6
- removed README_LINUX (doesn't exist anymore)

* Wed Sep 11 2002 Arnaud Desmons <adesmons@mandrakesoft.com> 1.2.5-3mdk
- Requires nessus-plugins

* Wed Sep 11 2002 Arnaud Desmons <adesmons@mandrakesoft.com> 1.2.5-2mdk
- 1.2.5

* Tue Sep 10 2002 Arnaud Desmons <adesmons@mandrakesoft.com> 1.2.5-1mdk
- 1.2.5

* Thu Jul 25 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.2.3-1mdk
- 1.2.3

* Tue Jun 18 2002 Stefan van der Eijk <stefan@eijk.nu> 1.2.0-2mdk
- BuildRequires

* Fri Apr 19 2002  Lenny Cartier <lenny@mandrakesoft.com> 1.2.0-1mdk
- 1.2.0

* Thu Feb 28 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.1.13-1mdk
- 1.1.13
- xpm2png

* Tue Jan 22 2002 Laurent Culioli <laurent@mandrakesoft.com> 1.1.11-1mdk
- 1.1.11

* Sat Jan 19 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.1.9-3mdk
- rebuild

* Thu Nov 22 2001 Alexander Skwar <ASkwar@Linux-Mandrake.com> 1.1.9-2mdk
- Make rpmlint a little happier

* Wed Nov 21 2001 Alexander Skwar <ASkwar@Linux-Mandrake.com> 1.1.9-1mdk
- 1.1.9
- Actually really set localstatedir to /var/lib instead of to /var/log

* Thu Nov  8 2001 Vincent Danen <vdanen@mandrakesoft.com> 1.1.8-1mdk
- 1.1.8
- call nessus-mkcert at install if certs do not exist
- patch nessus-mkcert to use more sensible locations to store certs/keys (P1)
- make localstatedir /var/lib and not /var/log (???) so that user accounts
  and info go into /var/lib/users and not /var/log/users

* Wed Nov  7 2001 Frederic Lepied <flepied@mandrakesoft.com> 1.1.6-2mdk
- don't use sub shell in %%build
- use %%make
- use service macros
- added the missing nessus-mkcert, nessus-rmuser and nessus-update-plugins
- add a dependency on tar, gzip and lynx for nessus-update-plugins

* Wed Oct 17 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.1.6-1mdk
- 1.1.6

* Mon Sep 17 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.1.4-1mdk
- added by Oden Eriksson <oden.eriksson@kvikkjokk.net> :
	- updated to 1.1.4

* Tue Aug 21 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.0.9-1mdk
- updated to 1.0.9

* Wed Jun  6 2001 Laurent Culioli <laurent@mandrakesoft.com> 1.0.8-1mdk
- updated to 1.0.8

* Wed Mar 07 2001  Lenny Cartier <lenny@mandrakesoft.com> 1.0.7a-1mdk
- upgraded to 1.0.7a

* Tue Jan 30 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.0.7-1mdk
- used srpm from Guillaume Rousse <g.rousse@mandrake-linux.com> :
	- updated to 1.0.7

* Mon Nov 06 2000 Lenny Cartier <lenny@mandrakesoft.com> 1.0.5-1mdk
- used srpm from Alexander Skwar <ASkwar@Linux-Mandrake.com> :
	New version
	Added menu for the client with icons
	Quiet the unpacking of the files

* Wed Jul 26 2000 John Johnson <jjohnson@linux-mandrake.com> 1.0.3-1mdk
- Fixed an error in my spec file that caused the nessusd script in
  /etc/rc.d/init.d to not work properly.

* Wed Jul 12 2000 John Johnsin <jjohnson@linux-mandrake.com> 1.0.3-1mdk
- Updated rpm for version 1.0.3 
- made a few small changes to spec file

* Sat Jun 10 2000 John Johnson <jjohnson@linux-mandrake.com> 1.0.1-1mdk
- updated sources to the new version.

* Mon May 29 2000 Vincent Danen <vdanen@linux-mandrake.com> 1.0.0-2mdk
- bzip sources
- fix group
- various specfile cleanups
- made unrelocatable
- added call to ldconfig in post and postun

* Thu May 18 2000 John Johnson <jjohnson@linux-mandrake.com>
- Made Mandrake rpm
